package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.OrderDetail;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface OrderDetailMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(OrderDetail record);

    int insertOrUpdate(OrderDetail record);

    int insertOrUpdateSelective(OrderDetail record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(OrderDetail record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    OrderDetail selectByPrimaryKey(Integer id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(OrderDetail record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(OrderDetail record);

    int updateBatch(List<OrderDetail> list);

    int updateBatchSelective(List<OrderDetail> list);

    int batchInsert(@Param("list") List<OrderDetail> list);
}